# FileNameUtils File Reference

`#include <osgDB/Export>`
`#include <string>`

Include dependency graph for FileNameUtils:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | osgDB

## Defines

#define | OSGDB_FILENAMEUTILS 1

## Functions

OSGDB_EXPORT std::string | getFilePath (const std::string &filename)
OSGDB_EXPORT std::string | getFileExtension (const std::string &filename)
OSGDB_EXPORT std::string | getLowerCaseFileExtension (const std::string &filename)
OSGDB_EXPORT std::string | getSimpleFileName (const std::string &fileName)
OSGDB_EXPORT std::string | getNameLessExtension (const std::string &fileName)
OSGDB_EXPORT std::string | getStrippedName (const std::string &fileName)
OSGDB_EXPORT bool | equalCaseInsensitive (const std::string &lhs, const std::string &rhs)
OSGDB_EXPORT bool | equalCaseInsensitive (const std::string &lhs, const char *rhs)
OSGDB_EXPORT bool | containsServerAddress (const std::string &filename)
OSGDB_EXPORT std::string | getServerAddress (const std::string &filename)
OSGDB_EXPORT std::string | getServerFileName (const std::string &filename)

## Define Documentation

#define OSGDB_FILENAMEUTILS 1

## Function Documentation

bool osgDB::containsServerAddress | ( | const std::string & | filename | ) |

bool osgDB::equalCaseInsensitive | ( | const std::string & | lhs,
|  | const char * | rhs
| ) |

bool osgDB::equalCaseInsensitive | ( | const std::string & | lhs,
|  | const std::string & | rhs
| ) |

std::string osgDB::getFileExtension | ( | const std::string & | filename | ) |

std::string osgDB::getFilePath | ( | const std::string & | filename | ) |

std::string osgDB::getLowerCaseFileExtension | ( | const std::string & | filename | ) |

std::string osgDB::getNameLessExtension | ( | const std::string & | fileName | ) |

std::string osgDB::getServerAddress | ( | const std::string & | filename | ) |

std::string osgDB::getServerFileName | ( | const std::string & | filename | ) |

std::string osgDB::getSimpleFileName | ( | const std::string & | fileName | ) |

std::string osgDB::getStrippedName | ( | const std::string & | fileName | ) |